CVE-2005-2818
CVSS4.3
发布时间 :2005-09-07 15:07:00
修订时间 :2011-03-07 21:25:04
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in DownFile 1.3 allows remote attackers to inject arbitrary web script or HTML via the id parameter to (1) email.php,(2) index.php, (3) del.php, or (4) add_form.php.


[CNNVD]DownFile 跨站脚本漏洞(CNNVD-200509-066)

        Downfile是一个多线程断点续传的下载工具。
        DownFile 1.3版本中的跨站脚本(XSS)漏洞允许远程攻击者通过 id 参数向以下文件注入任意web脚本或 HTML:(1) email.php,(2) index.php, (3) del.php, 或(4)add_form.php。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2818
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2818
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200509-066
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2005/1601
(UNKNOWN)  VUPEN  ADV-2005-1601
http://www.securityfocus.com/bid/14713
(UNKNOWN)  BID  14713
http://securitytracker.com/id?1014827
(UNKNOWN)  SECTRACK  1014827
http://secunia.com/advisories/16630
(VENDOR_ADVISORY)  SECUNIA  16630

- 漏洞信息

DownFile 跨站脚本漏洞
中危 跨站脚本
2005-09-07 00:00:00 2005-10-20 00:00:00
远程  
        Downfile是一个多线程断点续传的下载工具。
        DownFile 1.3版本中的跨站脚本(XSS)漏洞允许远程攻击者通过 id 参数向以下文件注入任意web脚本或 HTML:(1) email.php,(2) index.php, (3) del.php, 或(4)add_form.php。

- 公告与补丁

        暂无数据

- 漏洞信息

19123
DownFile email.php id Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

DownFile contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'id' variable upon submission to the 'email.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-08-31 Unknow
2005-08-31 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站